Revit 2024 + IronPython2.7

I’m using revit 2024 and I need the DynamoIronPython2.7 package to run another package Genius Loci. I have installed all updates for R24 but still get an error that IronPython2.7 uses a newer version of Dynamo. I see some discussion about IronPython in revit 2025. Does it work for folks in revit 2024? any tips?

Install an older version of the package. You likely have the .NET8 version.